CVE-2018-19540

An issue was discovered in JasPer 2.0.14. There is a heap-based buffer overflow of size 1 in the function jas_icctxtdesc_input in libjasper/base/jas_icc.c.

Published : 2018-11-26 03:29 Updated : 2019-10-07 21:15

6.8
CVSS Score More info
Score 6.8 / 10
6.8
Vendor Product Version URI
Jasper Project Jasper 2.0.14 cpe:/a:jasper_project:jasper:2.0.14
Suse Linux Enterprise Desktop 12 cpe:/o:suse:linux_enterprise_desktop:12:sp3
Suse Linux Enterprise Desktop 12 cpe:/o:suse:linux_enterprise_desktop:12:sp4
Suse Linux Enterprise Server 11 cpe:/o:suse:linux_enterprise_server:11:sp3:~~ltss~~~
Suse Linux Enterprise Server 11 cpe:/o:suse:linux_enterprise_server:11:sp4
Suse Linux Enterprise Server 12 cpe:/o:suse:linux_enterprise_server:12:sp1
Suse Linux Enterprise Server 12 cpe:/o:suse:linux_enterprise_server:12:sp2
Debian Debian Linux 8.0 cpe:/o:debian:debian_linux:8.0
  1. Jasper Project (1) Search CVE
    1. Jasper (1) Search CVE
      1. 2.0.14
  2. Suse (2) Search CVE
    1. Linux Enterprise Server (2) Search CVE
      1. 11
      2. 12
    2. Linux Enterprise Desktop (1) Search CVE
      1. 12
  3. Debian (1) Search CVE
    1. Debian Linux (1) Search CVE
      1. 8.0

CWE

ID Name Description Links
CWE-119 Improper Restriction of Operations within the Bounds of a Memory Buffer The software performs operations on a memory buffer, but it can read from or write to a memory location that is outside of the intended boundary of the buffer. CVE

History of changes

Date Event
2019-10-07 21:15
2019-03-05 15:05
2019-01-03 12:29
2018-12-07 18:51
2018-11-26 03:29

New CVE